Subject: RE: [dhcwg] IPv6 prefix delegation extension

From: "Changming Liu" <[email-masked]>
Date: Thu, 17 Feb 2005 12:55:50 -0800

Andreas,

I guess the fundmental question is if there is anyone who is deploying
or plan to deploy it this way. If so, the implementation needs to be
done first and all issues will surface.

Although we support DHCPv6 PD both as client and server but we don't
support the hybrid mode yet because there is no demand so far. But for
DHCPv4, we have somewhat similar implementation, one interface is DHCP
client and another interface is running as server, and information is
passed from the client side to the server side. It works quite well.

Hope this helps.

CHangming 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Andreas Maier
Sent: Thursday, February 17, 2005 5:13 AM
To: dhcwg
Subject: Re: [dhcwg] IPv6 prefix delegation extension

Dear Changming,

I also think that the current DHCP-PD spec is sufficient and that a  
hybrid mode DHCPv6 server/client implementation may do the trick.  
Unfortunately no such implementation seems to exist so I can not test  
it immediately.

Before starting to code it myself many points are unresolved:
-) Does a "hierarchical" prefix delegation make sense?
-) Are there conflicts with the existing prefix delegation?
-) Is a tree-like network structure a valid assumption?
-) Is work already done in this field? Are there references?
-) Are there obvious pitfalls that I do not see?
-) Is it useful to standardize the operation of the hybrid mode DHCPv6  
server?

I think that the idea of automatically configuring routers in a  
hierarchical network is valid. Thanks for conforming that it should be  
possible to implement it on top of the existing DHCP-PD without  
modifications to the current DHCP-PD specification. In addition very  
much appreciated would be pointers to research performed in the same or

a similar area.

Thank you very much. Best regards,
-andi

PS: Security is also a major concern but I would like to deal with it  
later.

On 02/15/05 22:50:17, Changming Liu wrote:
> Andreas,
> 
> Thanks for the detailed explanation. I guess we are talking about the
> same thing. To me it seems that the hybrid mode of immediate routers
> is an implementation issue. There will be no interoperability issue  
> and thus the current DHCP-PD spec should be sufficient. Is this  
> correct?
> 
> Changming
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On  
> Behalf
> Of Andreas Maier
> Sent: Tuesday, February 15, 2005 7:55 AM
> To: dhcwg
> Subject: Re: [dhcwg] IPv6 prefix delegation extension
> 
> Dear Changming,
> dear Mark,
> 
> thank you for your replies.
> 
> On 02/15/05 14:04:43, Mark Thompson wrote:
> >
> > On Feb 14, 2005, at 17:53, Changming Liu wrote:
> >
> >> Will this make the PD more complicated, hard to implement and hard
> 
> >> to configure as well? Is it possible to run DHCP PD at each hop
> down
> 
> >> the tree?
> 
> More complicated? No. The mechanism for DHCPv6 PD as of RFC-3633 does
> 
> not need to change. Small additions may be helpful to increase
> resistance against misconfiguration or to enable corner cases.
> 
> Hard to implement? Yes. Each intermediate router acts as a DHCP PD
> client and a DHCP PD server at the same time. Additionally it has to
> perform sub-network splitting, aggregation and more.
> 
> Hard to configure? No. The configuration of the "root" routers stays
> the same and all other routers need not configuration because they  
> are
> 
> automatically configured through the proposed mechanism.
> 
> A requirement would be that each router runs DHCP DP. Intermediate
> routers are hybrid in that they are clients up the tree and servers
> down the tree. Each intermediate router should make subdividing
> decisions on its own and should hide subtree details.
> 
> > What would the signalling look like for R2 to announce (renumber?)
> to
> 
> > its downstream (R3) when R1 delegates to R2?
> >
> > +---------------+
> > |    R1 (ISP)   |
> > +-------+-------+      |
> >         |              |   2001:db8::/48
> >         |              |
> >         |              V
> > +-------+-------+
> > |   R2 (Ent.)   |
> > +-------+-------+
> >         |              |
> >         |              |   2001:db8:babe::/52
> >         |              |
> > +-------+-------+      V
> > |   R3 (Site)   |
> > +---------------+
> >
> 
> I think that delegations are polled upstream and not pushed
> downstream.
> 
> In this case R3 would ask R2 for a delegation which in turn may need
> to
> 
> ask R1 for more prefixes if its pool is exhausted. The prefix pool  
> can
> 
> be managed with a buddy system.
> 
> Renumbering should be possible at times where DHCP PD renewals are
> due.
> 
> Announcements without renumbering seems to be a corner case where R1
> carries independent prefixes from a number of ISPs which should all  
> be
> 
> usable by the sites. For subdividing and aggregation R2 and R3 need  
> to
> 
> know if prefixes are part of the same "master"-prefix or not. This  
> may
> 
> be handled by a DHCP PD extension.
> 
> Background information: The scenario that should be handled is the
> following. R1 is controlled by one or more ISPs. R2 is in fact a
> number
> 
> of hops (routers) in the field so that various R3s at user sites can
> be
> 
> reached. It should be possible to add or remove R2s and R3s on the  
> fly
> 
> and they should automatically configure themselves. The network
> spreads
> 
> out from a central point and no meshed connections between R2s and/or
> 
> R3s are expected.
> 
> Best regards,
> -andi
> 
> --
> | Andreas Maier               Paris-Lodron University of Salzburg   |
> | ([email-masked])       Department of Scientific Computing    |
> | Tel. +43/662/8044-6339      Jakob Haringerstr. 2                  |
> | Fax. +43/662/8044-172       5020 Salzburg / Austria, Europe       |
> 
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
>

-- 
| Andreas Maier               Paris-Lodron University of Salzburg   |
| ([email-masked])       Department of Scientific Computing    |
| Tel. +43/662/8044-6339      Jakob Haringerstr. 2                  |
| Fax. +43/662/8044-172       5020 Salzburg / Austria, Europe       |

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Andreas Maier <[email-masked]>
Date: Mon, 21 Feb 2005 16:13:39 +0000

Dear Changming,

I see possible applications due to single level IPv6 networks
becoming multi level in the future. In fact I would like to add
multi level prefix delegation as a major feature of a project I
am working on.

Nevertheless, I can not tell if operators are planing to implement
hierarchical network layouts for their IPv6 networks or not. If so,
they may use PD and there should be a standardised way for it. What
else may be used instead of PD?

An implementation of a hybrid DHCPv6 PD would require to interact
with (stateless) address auto-configuration, router solicitation and
advertisement, routing tables (?), PD requesting (PD client) and PD
delegating (PD server). This involves more subsystems than it should.

The mail from Bernie Volz proposes the use of a relay agent as a
different approach to solve the problem of multi level automatic
configuration. This is very interesting but may not avoid the need
to support independent protocols in an ugly mixture.

Thanks for pointing to DHCPv4. I got the vague feeling that something
similar to (hierarchical) PD is going on there but did not look
into it so far.

Best regards,
-andi

On 02/17/05 21:55:50, Changming Liu wrote:
> Andreas,
> 
> I guess the fundmental question is if there is anyone who is  
> deploying or plan to deploy it this way. If so, the implementation  
> needs to be done first and all issues will surface.
> 
> support the hybrid mode yet because there is no demand so far. But  
> for DHCPv4, we have somewhat similar implementation, one interface is  
> DHCP client and another interface is running as server, and  
> information is passed from the client side to the server side. It  
> works quite well.
> 
> Hope this helps.
> 
> CHangming
> 
> -) Is it useful to standardize the operation of the hybrid mode  
> DHCPv6 server?
> 
> hierarchical network is valid. Thanks for conforming that it should  
> be possible to implement it on top of the existing DHCP-PD without